<?php
require('req_globals.php');
$pageTitle = 'L2: PHP Emails';

/*-------------------------------------
| Process Email Form
-------------------------------------*/
// initialize some variables.
$fname = '';
$email = '';
$message = '';

$errors = array(); //this will be feedback for our users.

// only if form is submitted
if (isset($_POST['fname']))
{
	// convert form variables to our initialized variables
	$fname = 	$_POST['fname'];
	$email = 	$_POST['email'];
	$message = 	$_POST['message'];

	// form validation
	if (empty($fname))
	{
		$errors[] = 'You forgot to fill out the <b>Name</b> field.';
	}

	if (empty($email))
	{
		$errors[] = 'You forgot to fill out the <b>Email</b> field.';
	}

	// compose and send email.
	if (!count($errors))
	{
		// headers to make it a more valid
		$headers = "From: " . strip_tags($email) . "\r\n";
		$headers .= "Reply-To: ". strip_tags($email) . "\r\n";
		// $headers .= "CC: susan@example.com\r\n";
		$headers .= "MIME-Version: 1.0\r\n";
		$headers .= "Content-Type: text/html; charset=ISO-8859-1\r\n";


		// compose the body of the email
		$the_email = '
			<p>Hello Customer,</p>

			<p>A website message from ' . $fname . '.</p>

			<p>' . $message . '</p>

			<p>
				Cheers,<br>
				Web Team
			</p>

		';

		if ( mail('meatch@me.com', 'Subject: Message from Website', $the_email, $headers) )
		{
			$errors[] = 'Success: Your Message Was Sent.';
		}
		else
		{
			$errors[] = 'Error: Unable to send your Message.';
		}

	}

}


?>
<?php include('inc_header.php'); ?>
			<section id="lessons">
				<article>
					<h1><?php echo $pageTitle; ?></h1>


					<?php if (count($errors)) : ?>
					<div class="alert alert-danger">
						<h2>Feedback</h2>
						<ul>
						<?php foreach($errors as $err_mess) : ?>
							<li><?php echo $err_mess; ?></li>
						<?php endforeach; ?>
						</ul>
					</div>
					<?php endif; ?>


					<form action="L2-php-emails.php" method="post">
						
						<div class="form-group">
							<label for="fname">Name</label>
							<input type="text" class="form-control" id="fname" name="fname" placeholder="Your Name" value="<?php echo $fname; ?>">
						</div>
						
						<div class="form-group">
							<label for="email">Email</label>
							<input type="text" class="form-control" id="email" name="email" placeholder="Email" value="<?php echo $email; ?>">
						</div>
						
						<div class="form-group">
							<label for="message">Message</label>
							<textarea class="form-control" id="message" name="message" placeholder="Your message"><?php echo $message; ?></textarea>
						</div>
						
						<button type="submit" class="btn btn-default">Send Email</button>
					</form>
					
				</article>
				<?php include('inc_nav_lessons.php'); ?>
			</section>
<?php include('inc_footer.php'); ?>