<?php
/*-------------------------------------
| Shared Variables
-------------------------------------*/
require('req_globals.php');
/*-------------------------------------
| Page Specific Variables
-------------------------------------*/
$pageTitle = 'Contact/Media';
$bodyClass = 'sub textual contact';

/*-------------------------------------
| Include Shared Header
-------------------------------------*/
include('inc_header.php');
?>
		<div id="container">
			<div class="my-table">
				<div class="my-row">
					<div class="my-column col1"><a class="home" href="index.php">Home</a></div>
					<div class="my-column col2">
						<div class="container-fluid pressInquiries">
							<div class="row">
								<div class="col-md-12">
									<div class="info">
										For information on availability of work and list of galleries please 
										email: <a href="mailto:info@bonniestarart.com">info@bonniestarart.com</a>
										or send a message:
									</div>
								</div>
							</div>
						</div>
						<div class="theform">

							<div class="container-fluid">
								<div class="row">
									<div class="col-md-12">

										<?php 
											if (count($errors)) : 
											$alertType = ($success) ? 'alert-info':'alert-danger';
										?>
										<div class="alert <?php echo $alertType; ?>">
											<h2>Feedback</h2>
											<ul>
											<?php foreach($errors as $err_mess) : ?>
												<li><?php echo $err_mess; ?></li>
											<?php endforeach; ?>
											</ul>
										</div>
										<?php endif; ?>

										<?php if (!$success) : ?>

										<form class="form-horizontal contact" method="post" action="contact-media.php">
											<div class="form-group">
												<!-- <label class="sr-only" for="uname">Name</label> -->
												<div class="col-md-12">
													<label for="uname">Name</label>
												</div>
												<div class="col-md-12">
													<input type="text" class="form-control" id="uname"  name="uname" placeholder="Your Name" value="<?php echo $uname; ?>">
												</div>
											</div>
											<div class="form-group">
												<!-- <label class="sr-only" for="uemail">Email</label> -->
												<div class="col-md-12">
													<label for="uemail">Email</label>
												</div>
												<div class="col-md-12">
													<input type="email" class="form-control" id="uemail" name="uemail" placeholder="Email" value="<?php echo $uemail; ?>">
												</div>
											</div>
											<div class="form-group">
												<!-- <label class="sr-only" for="usubject">Subject</label> -->
												<div class="col-md-12">
													<label for="usubject">Subject</label>
												</div>
												<div class="col-md-12">
													<input type="text" class="form-control" id="usubject"  name="usubject" placeholder="Subject" value="<?php echo $usubject; ?>">
												</div>
											</div>
											<div class="form-group">
												<!-- <label class="sr-only" for="umessage">Message</label> -->
												<div class="col-md-12">
													<label for="umessage">Message</label>
												</div>
												<div class="col-md-12">
													<textarea class="form-control" id="umessage"  name="umessage" rows="5" placeholder="Message" ><?php echo $umessage; ?></textarea>
												</div>
											</div>
											<div class="form-group">
												<div class="col-md-12">
													<button type="submit" class="btn btn-default">Send</button>
												</div>
											</div>
										</form>

										<?php else: ?>
											<p><a href="contact-media.php">Back To Contact Form</a></p>
										<?php endif; ?>
									</div>
								</div>
							</div>
						</div>
						<div class="container-fluid pressInquiries">
							<div class="row">
								<div class="col-md-5">
									<div class="opener">
										For press inquiries contact:
									</div>
								</div>
								<div class="col-md-7">
									<div class="presscontact">
										<div class="name">Diana Bianchini</div>
										<div class="title">Di Moda Public Relations</div>
										<div class="email"><a href="mailto:diana@dimodapr.com">diana@dimodapr.com</a></div>
										<div class="phone"><a href="tel:+13102880077">310-288-0077</a></div>
									</div>
								</div>
							</div>
						</div>
					</div>

					<div class="my-column col3">
						<?php include('inc_mainmenu.php'); ?>
						<h1 class="description">
							Contact<br>
							Info
						</h1>
						<?php include('inc_footer.php'); ?>
					</div><!-- ends col3 -->
				</div><!-- ends my-row -->
			</div><!-- ends my-table -->
		</div><!-- Here ends container -->
<?php 
/*-------------------------------------
| Include Shared Footer
-------------------------------------*/
include('inc_closing.php');
?>	